Hanzo
API Reference

Hanzo Operative API

Hanzo Operative is a computer-use agent that allows Claude to interact with

Hanzo Operative is a computer-use agent that allows Claude to interact with

Hanzo Operative API · Guide & examples → · All API references →

Base URLhttps://operative.hanzo.ai
Version1.0.0
Operations13
GuideHanzo Operative API guide

Authentication

  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://operative.hanzo.ai

Endpoints

Computer

MethodEndpointDescription
GET/v1/operative/sessions/{sessionId}/screenshotTake a screenshot of the current desktop
POST/v1/operative/sessions/{sessionId}/computerExecute a computer action

Configuration

MethodEndpointDescription
GET/v1/operative/env-config.jsonGet environment configuration
GET/healthHealth check

Sessions

MethodEndpointDescription
GET/v1/operative/sessionsList all active sessions
POST/v1/operative/sessionsCreate a new operative session
GET/v1/operative/sessions/{sessionId}Get session details
DELETE/v1/operative/sessions/{sessionId}Terminate and delete a session
POST/v1/operative/sessions/{sessionId}/resetReset the session environment

Tasks

MethodEndpointDescription
GET/v1/operative/sessions/{sessionId}/messagesGet conversation history for a session
POST/v1/operative/sessions/{sessionId}/messagesSend a message to the operative agent

Tools

MethodEndpointDescription
POST/v1/operative/sessions/{sessionId}/bashExecute a bash command
POST/v1/operative/sessions/{sessionId}/editExecute a file editing command

Hanzo Operative API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page